package com.steering.qcm.entity;

/**
 * 数据库表QCM_JUDGE_LOCK所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-1M51SAA   date 2019-03-12
 */
@SuppressWarnings("serial")
public class QcmJudgeLockEntity implements java.io.Serializable {
    /**
     * 主键
     */
    private String lockId = "";
    /**
     * 工序代码(A\B\C\D.....)
     */
    private String processCode = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 锁定原因
     */
    private String lockReason = "";
    /**
     * 锁定时间
     */
    private String lockTime = "";
    /**
     * 锁定人ID
     */
    private String lockUserId = "";
    /**
     * 解锁时间
     */
    private String unlockTime = "";
    /**
     * 解锁人ID
     */
    private String unlockUserId = "";
    /**
     * 锁定工序代码
     */
    private String lockProcessCode = "";
    /**
     * 性能批号
     */
    private String batchNo = "";
    /**
     * 锁定标志
     */
    private String lockFlag = "";
    private String orderNo = "";
    private String steelname = "";
    private String gradename = "";
    private String specName = "";
    private String actCount = "";
    private String actWeight = "";
    private String processDesc = "";
    private String lockName = "";
    private String unlockName = "";

	/**
     * 主键
     * @return value
     */
    public String getLockId() {
        return lockId;
    }

    /**
     * 主键
     * @param lockId value
     */
    public void setLockId(String lockId) {
        this.lockId = lockId;
    }

    /**
     * 工序代码(A\B\C\D.....)
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 工序代码(A\B\C\D.....)
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 锁定原因
     * @return value
     */
    public String getLockReason() {
        return lockReason;
    }

    /**
     * 锁定原因
     * @param lockReason value
     */
    public void setLockReason(String lockReason) {
        this.lockReason = lockReason;
    }

    /**
     * 锁定时间
     * @return value
     */
    public String getLockTime() {
        return lockTime;
    }

    /**
     * 锁定时间
     * @param lockTime value
     */
    public void setLockTime(String lockTime) {
        this.lockTime = lockTime;
    }

    /**
     * 锁定人ID
     * @return value
     */
    public String getLockUserId() {
        return lockUserId;
    }

    /**
     * 锁定人ID
     * @param lockUserId value
     */
    public void setLockUserId(String lockUserId) {
        this.lockUserId = lockUserId;
    }

    /**
     * 解锁时间
     * @return value
     */
    public String getUnlockTime() {
        return unlockTime;
    }

    /**
     * 解锁时间
     * @param unlockTime value
     */
    public void setUnlockTime(String unlockTime) {
        this.unlockTime = unlockTime;
    }

    /**
     * 解锁人ID
     * @return value
     */
    public String getUnlockUserId() {
        return unlockUserId;
    }

    /**
     * 解锁人ID
     * @param unlockUserId value
     */
    public void setUnlockUserId(String unlockUserId) {
        this.unlockUserId = unlockUserId;
    }

    /**
     * 锁定工序代码
     * @return value
     */
    public String getLockProcessCode() {
        return lockProcessCode;
    }

    /**
     * 锁定工序代码
     * @param lockProcessCode value
     */
    public void setLockProcessCode(String lockProcessCode) {
        this.lockProcessCode = lockProcessCode;
    }

    /**
     * 性能批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 性能批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 锁定标志
     * @return value
     */
    public String getLockFlag() {
        return lockFlag;
    }

    /**
     * 锁定标志
     * @param lockFlag value
     */
    public void setLockFlag(String lockFlag) {
        this.lockFlag = lockFlag;
    }
    
    public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getSteelname() {
		return steelname;
	}

	public void setSteelname(String steelname) {
		this.steelname = steelname;
	}

	public String getGradename() {
		return gradename;
	}

	public void setGradename(String gradename) {
		this.gradename = gradename;
	}

	public String getSpecName() {
		return specName;
	}

	public void setSpecName(String specName) {
		this.specName = specName;
	}

	public String getActCount() {
		return actCount;
	}

	public void setActCount(String actCount) {
		this.actCount = actCount;
	}

	public String getActWeight() {
		return actWeight;
	}

	public void setActWeight(String actWeight) {
		this.actWeight = actWeight;
	}

	public String getProcessDesc() {
		return processDesc;
	}

	public void setProcessDesc(String processDesc) {
		this.processDesc = processDesc;
	}

	public String getLockName() {
		return lockName;
	}

	public void setLockName(String lockName) {
		this.lockName = lockName;
	}

	public String getUnlockName() {
		return unlockName;
	}

	public void setUnlockName(String unlockName) {
		this.unlockName = unlockName;
	}
}
